/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.dw.db.dao.MtCaseNonExecDao;
import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.service.MtCaseNonExecService;
import net.northking.cctp.dw.db.entity.MtCaseNonExec;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 未执行状态数据统计
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-04-20 16:02:50  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtCaseNonExecServiceImpl")
public class MtCaseNonExecServiceImpl extends PaginationService<MtCaseNonExec> implements MtCaseNonExecService
{
private static final Logger logger = LoggerFactory.getLogger(MtCaseNonExecServiceImpl.class);

  private final MtCaseNonExecDao mtCaseNonExecDao;

  public MtCaseNonExecServiceImpl(MtCaseNonExecDao mtCaseNonExecDao) {this.mtCaseNonExecDao = mtCaseNonExecDao;}

  public BasicDao<MtCaseNonExec> getDao() {return mtCaseNonExecDao;}

  public MtCaseNonExec createEntity() { return new MtCaseNonExec();}

  @Override
  protected void beforeInsert(MtCaseNonExec record) {

  }

  @Override
  protected void beforeUpdate(MtCaseNonExec record) {

  }

  @Override
  public Integer deleteByExampleByProjectIds(MtCaseNonExec mtCaseNonExec) {
    return mtCaseNonExecDao.deleteByExampleByProjectIds(mtCaseNonExec);
  }

  @Override
  public Integer syncExecTendencyNotice(DwManualExecJob dwManualExecJob) {
    return mtCaseNonExecDao.syncExecTendencyNotice(dwManualExecJob);
  }


// ----      The End by Generator     ----//




}

